%define name	meld
%define version 1.1.4
%define release %mkrel 3

Summary:	Meld is a GNOME 2 visual diff and merge tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Source1:   	%{name}16.png
Source2:   	%{name}32.png
Source3:   	%{name}48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
License:	GPL
URL:		http://meld.sourceforge.net/
Group:		File tools
BuildRequires: scrollkeeper
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	gnome-python-canvas
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
BuildArch:	noarch
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3


%description
Meld is a GNOME 2 visual diff and merge tool. It integrates especially well
with CVS. The diff viewer lets you edit files in place (diffs update
dynamically), and a middle column shows detailed changes and allows merges.
The margins show location of changes for easy navigation, and it also
features a tabbed interface that allows you to open many diffs at once.

%prep
%setup -q

%build
%make prefix=%_prefix libdir=%_datadir

%install
rm -rf ${RPM_BUILD_ROOT} %name.lang
%makeinstall_std prefix=%_prefix libdir=%_datadir

%find_lang %name --with-gnome

# Icons
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

# Install menu entry
install -d ${RPM_BUILD_ROOT}%{_menudir}
cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): needs="x11" \
		   section="System/File Tools" \
		   title="Meld" \
		   longtitle="%{summary}" \
		   icon="%{name}.png" \
		   command="%{name}" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -rf %buildroot/usr/var/lib/scrollkeeper

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}
%update_scrollkeeper

%postun
%{clean_menus}
%clean_scrollkeeper

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README* changelog COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/application-registry/*
%{_datadir}/applications/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/meld-C.omf
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Aug  4 2006 Gtz Waschk <waschk@mandriva.org> 1.1.4-3mdv2007.0
- fix buildrequires

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 1.1.4-2mdv2007.0
- xdg menu

* Sun Jun 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdk
- New release 1.1.4

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 1.1.3-1mdk
- handle scrollkeeper stuff
- New release 1.1.3
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdk
- New release 1.1.2

* Thu Oct 27 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- drop patch
- New release 1.1.1

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-3mdk
- fix paths

* Thu Jul 14 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-2mdk
- fix the French translation

* Sun Jul  3 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- drop the patch
- New release 1.0.0

* Sun Jun 12 2005 Gtz Waschk <waschk@mandriva.org> 0.9.6-2mdk
- fix locale directory

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.9.6-1mdk
- drop merged patch
- New release 0.9.6

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.9.5-5mdk
- fix deps

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-4mdk
- fix buildrequires

* Mon Feb  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-3mdk
- fix buildrequires

* Sun Feb  6 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-2mdk
- remove directory from the mime types, fixes problem with nautilus

* Thu Jan 3 2005 Austin Acton <austin@mandrake.org> 0.9.5-1mdk
- 0.9.5
- move to author's installation routine and wrapper
- move app dir from /usr/lib to /usr/share (keep lint happy)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4.1-2mdk
- Fix menu

* Sat Jul 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.4.1-1mdk
- New release 0.9.4.1

* Thu Jul 15 2004 Austin Acton <austin@mandrkae.org> 0.9.4-1mdk
- 0.9.4

* Tue May 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- add source URL
- New release 0.9.3

* Sun Apr 18 2004 Austin Acton <austin@mandrake.org> 0.9.2.1-3mdk
- the moron tries again

* Wed Mar 24 2004 Austin Acton <austin@mandrake.org> 0.9.2.1-2mdk
- pass whole command line to execuable (bug 9212)

* Tue Feb 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2.1-1mdk
- fix menu section
- new version

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- move to /use/share
- fix permissions
- new version

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Mon Oct 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- don't compress icons
- new version

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 0.8.5-1mdk
- 0.8.5

* Tue Aug 26 2003 Austin Acton <aacton@yorku.ca> 0.8.4-1mdk
- steal some ideas from Maxim's spec
- initial Mandrake package
